import { Vector2 } from "three";
import { Polyline } from "./Entity/Polyline";
import { Spline } from "./Spline";
export declare function SplineConver2Polyline(spl: Spline, tolerance?: number): Polyline;
/**
 * 将碎点简化为多段线,(尝试转换为简单圆弧,或者使用双圆弧插值)
 * @param pts 点表
 * @param [tolerance=0.1] 容差
 * @param [parseArc=true] 解析成简单圆弧
 * @param [lineLengthSq=2000]
 * @returns 多段线
 */
export declare function PointsSimplify2PolylineAndParseArc(pts: Vector2[], buls?: number[], tolerance?: number, parseArc?: boolean, lineLengthSq?: number): Polyline;
export declare function SmartPointsSimply2Polyline(pts: Vector2[], buls?: number[], tolerance?: number, lineLengthSq?: number): Polyline;
/**
 * 简化多段线,返回结果比较好的多段线
 * @param pl
 * @param [tolerance=0.1]
 * @param [lineLengthSq=2000]
 * @returns 返回undefined时,简化失败
 */
export declare function SmartPolylineSimply2Polyline(pl: Polyline, tolerance?: number, lineLengthSq?: number): Polyline | undefined;
//# sourceMappingURL=SplineConver2Polyline.d.ts.map